rem find CPLEX in the original PATH.
where /Q cplex1263.dll
if NOT ERRORLEVEL 1 for /f "delims=" %%a in ('where cplex1263.dll') do @set CPLEX_PATH=%%~dpa
if "%CPLEX_PATH%"=="" (
    echo ##########################################################################
    echo #########   CPLEX LIBRARY 'cplex1263.dll' HAS NOT BEEN FOUND!!!    #######
    echo ##########################################################################
    echo ######### You have cplex v12.6.3 ? Make sure it is in the PATH!    #######
    echo ##########################################################################
    echo ######### Don't have cplex? Apply for an academic license at IBM!  #######
    echo #########               See README.txt for details.                #######
    echo ##########################################################################
    exit /B
)

rem overwrite PATH with only what multicut needs
set INSTALL_DIR=%~dp0
set PATH=%INSTALL_DIR%;%INSTALL_DIR%Library\bin;%INSTALL_DIR%DLLs;%CPLEX_PATH%

rem set more paths
set PYTHONHOME=%INSTALL_DIR%
set PYTHONNOUSERSITE=1
